# -*- coding: utf-8 -*-
"""Setup the HelloWorld application"""

import logging

import transaction
from tg import config

from helloworld.config.environment import load_environment

__all__ = ['setup_app']

log = logging.getLogger(__name__)


def setup_app(command, conf, vars):
    """Place any commands to setup helloworld here"""
    load_environment(conf.global_conf, conf.local_conf)
    # Load the models
    from helloworld import model
    print "Creating tables"
    model.metadata.create_all(bind=config['pylons.app_globals'].sa_engine)

    text = [
        model.Hello(None, 'Lorem ipsum dolor sit amet, consecteteur adipiscing elit purus lectus. Aliquet. Sollicitudin mollis ac duis elit lorem fringilla at, malesuada massa class. Pulvinar parturient ornare purus sapien porta. Lorem tincidunt feugiat donec vel nunc auctor.'),
        model.Hello(None, 'Lorem ipsum dolor sit amet, consecteteur adipiscing elit purus lectus. Aliquet. Sollicitudin mollis ac duis elit lorem fringilla at, malesuada massa class. Pulvinar parturient ornare purus sapien porta. Lorem tincidunt feugiat donec vel nunc auctor.'),
        model.Hello(None, 'Lorem ipsum dolor sit amet, consecteteur adipiscing elit purus lectus. Aliquet. Sollicitudin mollis ac duis elit lorem fringilla at, malesuada massa class. Pulvinar parturient ornare purus sapien porta. Lorem tincidunt feugiat donec vel nunc auctor.'),
        model.Hello(None, 'Lorem ipsum dolor sit amet, consecteteur adipiscing elit purus lectus. Aliquet. Sollicitudin mollis ac duis elit lorem fringilla at, malesuada massa class. Pulvinar parturient ornare purus sapien porta. Lorem tincidunt feugiat donec vel nunc auctor.'),
        model.Hello(None, 'Lorem ipsum dolor sit amet, consecteteur adipiscing elit purus lectus. Aliquet. Sollicitudin mollis ac duis elit lorem fringilla at, malesuada massa class. Pulvinar parturient ornare purus sapien porta. Lorem tincidunt feugiat donec vel nunc auctor.')
    ]

    model.DBSession.add_all(text)

    model.DBSession.flush()
    transaction.commit()
    print "Successfully setup"
